package cz.muni.fi.pa165.soccermanager.service;

import cz.muni.fi.pa165.soccermanager.dto.ChampionshipDto;
import cz.muni.fi.pa165.soccermanager.dto.request.CreateChampionshipRequest;
import cz.muni.fi.pa165.soccermanager.enums.Nation;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Page;

/**
 * @author Stanislav Koshchienko (uco: 506549)
 */
public interface ChampionshipService {

    Long createChampionship(CreateChampionshipRequest request);

    Optional<ChampionshipDto> findChampionshipById(Long id);

    void update(Long id, ChampionshipDto dto);

    void remove(Long id);

    Page<ChampionshipDto> getAllChampionships(int offset, int pageSize, String field);
}
